package com.ruoyi.system.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.PushMessage;

/**
 * 推送消息Service接口
 *
 * @author ruoyi
 * @date 2025-08-01
 */
public interface IPushMessageService extends IService<PushMessage>
{
    /**
     * 查询推送消息
     *
     * @param id 推送消息主键
     * @return 推送消息
     */
    public PushMessage selectPushMessageById(Long id);

    /**
     * 查询推送消息列表
     *
     * @param pushMessage 推送消息
     * @return 推送消息集合
     */
    public List<PushMessage> selectPushMessageList(PushMessage pushMessage);

    /**
     * 新增推送消息
     *
     * @param pushMessage 推送消息
     * @return 结果
     */
    public int insertPushMessage(PushMessage pushMessage);

    /**
     * 修改推送消息
     *
     * @param pushMessage 推送消息
     * @return 结果
     */
    public int updatePushMessage(PushMessage pushMessage);

    /**
     * 批量删除推送消息
     *
     * @param ids 需要删除的推送消息主键集合
     * @return 结果
     */
    public int deletePushMessageByIds(Long[] ids);

    /**
     * 删除推送消息信息
     *
     * @param id 推送消息主键
     * @return 结果
     */
    public int deletePushMessageById(Long id);
}
